> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useduro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a plan



## OpenAPI

````yaml /openapi.json patch /v1/plans/{id}
openapi: 3.1.0
info:
  title: Duro API
  version: 1.0.0
  description: >-
    Recovery-first subscription billing. Authenticate with a secret key
    (sk_test_ / sk_live_) as a bearer token. Amounts are in integer minor units
    (kobo).
servers:
  - url: https://api.useduro.com
    description: Production (live)
  - url: https://sandbox.useduro.com
    description: Sandbox (test)
security:
  - bearerAuth: []
tags:
  - name: Plans
  - name: Promo Codes
  - name: Payment Links
  - name: Customers
  - name: Transactions
  - name: Subscriptions
  - name: Invoices
  - name: Recovery
  - name: Settings
  - name: Analytics
  - name: Checkout
  - name: Events
  - name: OAuth
  - name: Customer Checkout
  - name: Customer Identity
  - name: Customer Portal
paths:
  /v1/plans/{id}:
    parameters:
      - $ref: '#/components/parameters/id'
    patch:
      tags:
        - Plans
      summary: Update a plan
      operationId: updatePlan
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlanUpdate'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Plan'
components:
  parameters:
    id:
      name: id
      in: path
      required: true
      schema:
        type: string
  schemas:
    PlanUpdate:
      type: object
      properties:
        name:
          type: string
        amount:
          type: integer
        interval:
          $ref: '#/components/schemas/Interval'
        intervalCount:
          type: integer
        trialDays:
          type: integer
        maxCycles:
          type: integer
    Plan:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        amount:
          type: integer
        currency:
          type: string
        interval:
          $ref: '#/components/schemas/Interval'
        intervalCount:
          type: integer
        trialDays:
          type: integer
        maxCycles:
          type: integer
          nullable: true
        createdAt:
          type: string
          format: date-time
    Interval:
      type: string
      enum:
        - hour
        - day
        - week
        - month
        - quarter
        - biannual
        - year
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

````